### Method

# WebKit2 FileChooserRequest get_selected_files

#### Declaration [src]

    const gchar* const*
    webkit_file_chooser_request_get_selected_files (
      WebKitFileChooserRequest* request
    )

#### Description [src]

Get the list of selected files associated to the request.

Get the list of selected files currently associated to the request. Initially, the return value of this method contains any files selected in previous file chooser requests for this HTML input element. Once webkit_file_chooser_request_select_files, the value will reflect whatever files are given.

This function should normally be called only before presenting the file chooser dialog to the user, to decide whether to perform some extra action, like pre-selecting the files from a previous request.

Gets property | `WebKit2.FileChooserRequest:selected-files`

#### Return value

Returns: | An array of `utf8`
| A `NULL`-terminated array of strings if there are selected files associated with the request or `NULL` otherwise. This array and its contents are owned by WebKit and should not be modified or freed.
| The array is `NULL`-terminated.
| The data is owned by the instance.
| Each element is a NUL terminated UTF-8 string.